package app

import (
	"git.markbailey.dev/cerbervs/ptpp/app/routing"
	"git.markbailey.dev/cerbervs/ptpp/app/server"
)

type IApp interface {
	Serve()
}

type App struct {
	Router routing.IRouter
	Server server.IServer
}

func (a App) Serve() {
	a.Server.ListenAndServe()
}
